Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKGOST3410PrivateKey

    java.lang.Object
      org.bouncycastle.jce.provider.JDKGOST3410PrivateKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, java.security.PrivateKey, GOST3410Key, GOST3410PrivateKey, PKCS12BagAttributeCarrier

    public class JDKGOST3410PrivateKey

extends java.lang.Object
implements GOST3410PrivateKey, PKCS12BagAttributeCarrier

See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Constructor Summary
`protected` `JDKGOST3410PrivateKey()`

Method Summary
`java.lang.String` `getAlgorithm()`
`DEREncodable` `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` `getBagAttributeKeys()`
`byte[]` `getEncoded()` Return a PKCS8 representation of the key.
`java.lang.String` `getFormat()` return the encoding format we produce in getEncoded().
`GOST3410Params` `getParameters()`
`java.math.BigInteger` `getX()`
`void` `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKGOST3410PrivateKey

    protected JDKGOST3410PrivateKey()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  return the encoding format we produce in getEncoded().

  Specified by:
    `getFormat` in interface `java.security.Key`
  Returns:
    the string "PKCS#8"

### getEncoded

    public byte[] getEncoded()

  Return a PKCS8 representation of the key. The sequence returned represents a full PrivateKeyInfo object.

  Specified by:
    `getEncoded` in interface `java.security.Key`
  Returns:
    a PKCS8 representation of the key.

### getParameters

    public GOST3410Params getParameters()

  Specified by:
    `getParameters` in interface `GOST3410Key`

### getX

    public java.math.BigInteger getX()

  Specified by:
    `getX` in interface `GOST3410PrivateKey`

### setBagAttribute

    public void setBagAttribute(DERObjectIdentifier oid,
                                DEREncodable attribute)

  Specified by:
    `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttribute

    public DEREncodable getBagAttribute(DERObjectIdentifier oid)

  Specified by:
    `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttributeKeys

    public java.util.Enumeration getBagAttributeKeys()

  Specified by:
    `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

Bouncy Castle Cryptography Library 1.45